Discussion:
Bug#933983: RM: storm/0.19-2 -- RoQA; orphaned; no Py2 and no revdeps
Add Reply
Andrey Rahmatullin
2019-08-05 18:40:02 UTC
Reply
Permalink
Package: release.debian.org
Severity: normal
User: ***@packages.debian.org
Usertags: rm

Orphaned, doesn't support Python 2, doesn't have revdeps (checked with `dak rm
-Rn storm`).

No Py3 support upstream either: https://bugs.launchpad.net/storm/+bug/1530734
Adam D. Barratt
2019-08-05 18:50:01 UTC
Reply
Permalink
Post by Andrey Rahmatullin
Package: release.debian.org
Severity: normal
Usertags: rm
Orphaned, doesn't support Python 2, doesn't have revdeps (checked with `dak rm
-Rn storm`).
No Py3 support upstream either: https://bugs.launchpad.net/storm/+bug
/1530734
From which suite?

Regards,

Adam
Andrey Rahmatullin
2019-08-05 19:50:01 UTC
Reply
Permalink
Post by Adam D. Barratt
Post by Andrey Rahmatullin
Package: release.debian.org
Severity: normal
Usertags: rm
Orphaned, doesn't support Python 2, doesn't have revdeps (checked with `dak rm
-Rn storm`).
No Py3 support upstream either: https://bugs.launchpad.net/storm/+bug
/1530734
From which suite?
From unstable please.
--
WBR, wRAR
Mattia Rizzolo
2019-08-05 20:00:01 UTC
Reply
Permalink
Control: reassign -1 ftp.debian.org
Control: retitle -1 RM: storm -- RoQA; orphaned; no Python 3 port and no reverse dependencies
Post by Andrey Rahmatullin
Post by Adam D. Barratt
From which suite?
From unstable please.
Reassigning accordingly.
--
regards,
Mattia Rizzolo

GPG Key: 66AE 2B4A FCCF 3F52 DA18 4D18 4B04 3FCD B944 4540 .''`.
more about me: https://mapreri.org : :' :
Launchpad user: https://launchpad.net/~mapreri `. `'`
Debian QA page: https://qa.debian.org/developer.php?login=mattia `-
Colin Watson
2019-08-11 18:10:01 UTC
Reply
Permalink
Post by Andrey Rahmatullin
Orphaned, doesn't support Python 2, doesn't have revdeps (checked with `dak rm
-Rn storm`).
No Py3 support upstream either: https://bugs.launchpad.net/storm/+bug/1530734
This is slightly ironic timing, as I just finished pushing the stack of
merge proposals required for Storm to support Python 3, so once I get
everything through review things should be in a much better state. I'll
probably reintroduce this via the DPMT once I've got a new upstream
release out the door.
--
Colin Watson [***@debian.org]
Scott Kitterman
2019-08-11 19:10:01 UTC
Reply
Permalink
Post by Andrey Rahmatullin
Post by Andrey Rahmatullin
Orphaned, doesn't support Python 2, doesn't have revdeps (checked
with `dak rm
Post by Andrey Rahmatullin
-Rn storm`).
https://bugs.launchpad.net/storm/+bug/1530734
This is slightly ironic timing, as I just finished pushing the stack of
merge proposals required for Storm to support Python 3, so once I get
everything through review things should be in a much better state.
I'll
probably reintroduce this via the DPMT once I've got a new upstream
release out the door.
It was orphaned from DPMT in part because of unpackaged dependencies that kept it from being updated to a newer release. I don't know if that still applies, but reintroduction may require multiple packages.

Scott K
Colin Watson
2019-08-11 21:30:01 UTC
Reply
Permalink
Post by Scott Kitterman
It was orphaned from DPMT in part because of unpackaged dependencies
that kept it from being updated to a newer release. I don't know if
that still applies, but reintroduction may require multiple packages.
Noted, thanks. I think it's basically pgbouncer (the Python module as
opposed to the daemon), postgresfixture, and timeline, so that doesn't
seem prohibitively difficult.
--
Colin Watson [***@debian.org]
Loading...